%define	name		jcommon
%define	version		0.7.1
%define	release		1jpp
%define	javadir		%{_datadir}/java
%define	javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Common library
License:	LGPL
Url:		http://www.object-refinery.com/jcommon/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-build.xml
BuildRequires:	ant, junit
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Packager:	Henri Gomez <hgomez@users.sourceforge.net>

%description
Collection of classes used by Object Refinery Projects,
for example jfreechart

%package test
Summary:        test tasks for %{name}
Group:          Development/Test/Java
Requires:       %{name} = %{version}-%{release}, junit

%description test
All test tasks for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# copy build.xml
cp %{SOURCE1} build.xml

%build
ant -Djunit.jar=%{javadir}/junit.jar -Dbuildstable=true -Dproject.outdir=. -Dbasedir=. package document 

%install
install -d -m 755 $RPM_BUILD_ROOT%{javadir}/%{name}
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 jcommon/dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}
install -m 644 jcommon/dist/junit/%{name}-%{version}-tests.jar $RPM_BUILD_ROOT%{javadir}
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr jcommon/dist/javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{javadir}/%{name}.jar
%{javadir}/%{name}-%{version}.jar
%dir %{javadir}/%{name}

%files test
%defattr(-,root,root)
%{javadir}/%{name}-%{version}-tests.jar
%{javadir}/%{name}-tests.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Oct 28 2002 Henri Gomez <hgomez@users.sourceforge.net> 0.7.1-1jpp
- Initial release
